class Main extends Phaser.Scene {
	constructor() {
		super({
			key: "Main"
		});
	}

	preload() {

		this.load.spritesheet("player", "player.png", {
			frameWidth: 24,
			frameHeight: 24
		});

	}
	create() {
		var camera = this.cameras.add(0, 0, 160, 320).setBackgroundColor("#ffa4a4")

		var player = this.add.sprite(100, 200, "player")
		player.scene.anims.create({
			key: 'normal',
			frames: player.scene.anims.generateFrameNumbers("player", {
				frames: [0, 1, 2, 3, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17]
			}),
			frameRate: 8,
			repeat: -1,
		})
		player.anims.play('normal')
	}

	update() {

	}
}