var config = {
	type: Phaser.WEBGL,
	width: 160,
	height: 320,
	scale: {
		mode: Phaser.Scale.FIT,
		autoCenter: Phaser.Scale.CENTER_BOTH,
		parent: "game-div",
		zoom: 1,
	},
	backgroundColor: "black",
	physics: {
		default: "arcade",
		arcade: {
			gravity: {
				x: 0,
				y: 0
			},
			debug: false,
		}
	},
	scene: [

		Main,

	],
	pixelArt: true,
	roundPixels: true,
};

var game = new Phaser.Game(config);